Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3160 - Cannot specify hexadecimal internal IPX network number
Summary: Cannot specify hexadecimal internal IPX network number
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-30 20:50 UTC by Adam Thompson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-15 20:56:51 UTC


Attachments (Terms of Use)

Description Adam Thompson 1999-05-30 20:50:04 UTC
Linuxconf (linuxconf-1.14r4-4) does not allow the letters
"A" through "F" in the "Internet Network Number(opt)" field
of the IPX configuration dialog.

IPX network numbers are expressed in hexadecimal, and the
IPX utilities treat the number entered as a hexadecimal
number.  Many sites (including mine) require that internal
network numbers adhere to a specific standard that often
includes (as in my case) A through F.

I would assume that the other "network number" fields in
this dialog have the same behaviour, but those are less
critical because they can be autoprobed.  The internal net#
cannot be autoprobed, by definition.

The workaround is to directly edit
/etc/sysconfig/network-scripts/ifcfg-eth0 afterwards and
reboot (or at least start/stop IPX - it's usually easier to
reboot).

Comment 1 Michael K. Johnson 1999-07-29 22:01:59 UTC
Added Jacques to the CC line so that he can investigate this bug.

Comment 2 jack 1999-11-30 17:10:59 UTC
This was fixed after 1.14r4. Can't remember exactly when. Tested on 1.16r10.

Comment 3 Michael K. Johnson 1999-12-02 16:55:59 UTC
So this may be fixed in the linuxconf-1.16r1.3-1 errata release that we
did for 6.0, may not exist in linuxconf-1.16r3.2-2 released in 6.1, and
will certainly not exist in linuxconf-1.16r10-1 or later which we will,
after some testing, release as an errata update to 6.1.

------- Email Received From  "Adam N. Thompson" <athompso@pangea.ca> 12/03/99 02:03 -------

Comment 4 Dale Lovelace 1999-12-03 18:42:59 UTC
This is indeed fixed in 1.16r10

Comment 5 Michael K. Johnson 1999-12-15 20:56:59 UTC
1.16r10-2 released


Note You need to log in before you can comment on or make changes to this bug.